2019-12-09 21:22 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001436FSSCPmultiplayerpublic2007-08-31 05:06
ReporterTurey 
Assigned ToGoober5000 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSWindows XP ProfessionalOS VersionService Pack 2
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001436: Send-message
DescriptionSend-message appears to work in TvT and Co-op, but not in Dogfight.
Steps To ReproduceMake a co-op and dogfight mission.
In each, make an event when true send-message.
the co-op one will play, the dogfight one won't.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008219

karajorma (administrator)

I mentioned on IM that this one is probably simply due to everyone having traitor IFF. The messages are cued and sent out but no one has the correct IFF to actually hear them.

~0008222

Goober5000 (administrator)

Last edited: 2007-07-15 18:40

Oh right. Traitors can't receive messages.

Dogfight missions don't really have any plot to speak of anyway. Are messages really necessary?

~0008225

FUBAR-BDHR (developer)

Of course they are. Taunting the enemy is half the fun.

~0008255

karajorma (administrator)

Yeah but those kind you can still send.

Turey was on about the kind that are written into the mission itself.

That said I think that it might be nice to allow messages in dogfight mode. There are number of interesting game types (like King of the Hill) which didn't work in dogfight simply because messages weren't allowed.

It would be very simple to allow messages in dogfight mode and since I doubt anyone has any missions for dogfight which have messages in it might be better to not bother with any mission flags and simply allow messages to traitor IFF ships in dogfight mode.

~0008259

Goober5000 (administrator)

Works for me.

~0008261

Goober5000 (administrator)

Okay, fixed. I need someone to test this, and then I'll mark it resolved.

~0008440

Goober5000 (administrator)

Had to test it myself... :sigh: Fixed.
+Notes

-Issue History
Date Modified Username Field Change
2007-07-13 03:28 Turey New Issue
2007-07-15 14:56 karajorma Note Added: 0008219
2007-07-15 18:40 Goober5000 Note Added: 0008222
2007-07-15 18:40 Goober5000 Note Edited: 0008222
2007-07-16 04:56 FUBAR-BDHR Note Added: 0008225
2007-07-23 21:47 karajorma Note Added: 0008255
2007-07-24 00:02 Goober5000 Note Added: 0008259
2007-07-24 00:02 Goober5000 Status new => assigned
2007-07-24 00:02 Goober5000 Assigned To => Goober5000
2007-07-24 05:17 Goober5000 Note Added: 0008261
2007-08-31 05:06 Goober5000 Note Added: 0008440
2007-08-31 05:06 Goober5000 Status assigned => resolved
2007-08-31 05:06 Goober5000 Resolution open => fixed
2007-08-31 05:06 Goober5000 Product Version 3.6.10 =>
2007-08-31 05:06 Goober5000 Fixed in Version => 3.6.10
+Issue History